# Class NumberProperties

#### Hierarchy

- XmlComponent
  - NumberProperties

- Defined in src/file/paragraph/formatting/unordered-list.ts:3

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new NumberProperties(numberId: string | number, indentLevel: number): NumberProperties

- #### Parameters

  - ##### numberId: string | number

  - ##### indentLevel: number

  #### Returns NumberProperties

  Overrides XmlComponent.constructor

  - Defined in src/file/paragraph/formatting/unordered-list.ts:4

## Methods

### addChildElement

- addChildElement(child: string | XmlComponent): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context: IContext): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc